import d from "../../../../../../lodash-es@4.17.22/node_modules/lodash-es/forEach.js";
function v(n, o, p) {
  var a = {}, i;
  d(p, function(f) {
    for (var r = n.parent(f), e, t; r; ) {
      if (e = n.parent(r), e ? (t = a[e], a[e] = r) : (t = i, i = r), t && t !== r) {
        o.setEdge(t, r);
        return;
      }
      r = e;
    }
  });
}
export {
  v as addSubgraphConstraints
};
